## dulwich 0.20.31

=== debian/changelog ===
dulwich (0.20.31-1.1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:05:25 +0100

dulwich (0.20.31-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix variable name in testsuite (Closes: #1003017)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Jan 2022 23:36:01 +0000

dulwich (0.20.31-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Jan 2022 18:05:56 +0000

dulwich (0.20.30-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Jan 2022 02:10:38 +0000

dulwich (0.20.27-1) unstable; urgency=low

  * New upstream release.
  * Add missing build dependency on dh addon.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 04 Jan 2022 22:55:18 +0000

dulwich (0.20.26-1) unstable; urgency=low

  [ Jelmer Vernooĳ ]
  * New upstream release.
    + Fixes handling of os.PathLike arguments to Repo.stage. Closes: #997303
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Security-Contact.
  * Drop transition for old debug package migration.
  * Update standards version to 4.6.0, no changes needed.

  [ Matthias Klose ]
  * Run the autopkg tests for all supported Python3 versions. Closes: #976592

  [ Balint Reczey ]
  * debian/tests/testsuite3: Unset http(s)_proxy because they break the tests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 29 Oct 2021 01:49:02 +0100

dulwich (0.20.25-1) unstable; urgency=low

  * New upstream release.
  * Re-enable use of git in testsuite on alpha, ppc64, sparc64, x32,
    ia64.
  * Disable git in testsuite on kfreebsd.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 19 Sep 2021 14:36:27 +0100

dulwich (0.20.23-1) unstable; urgency=medium

  * Update watch file format version to 4.
  * Fix watch file.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 May 2021 17:39:41 +0100

=== debian/control ===
Source: dulwich
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://www.dulwich.io/
Build-Depends: debhelper-compat (= 13),
               dh-python,
               git [!kfreebsd-amd64 !kfreebsd-i386],
               gnupg,
               python3-all-dbg,
               python3-all-dev,
               python3-certifi,
               python3-fastimport,
               python3-gpg,
               python3-urllib3 (>= 1.24.1),
               debhelper
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/dulwich.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dulwich
Rules-Requires-Root: no

Package: python3-dulwich
Architecture: any
Depends: python3-certifi,
         python3-urllib3 (>= 1.24.1),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: python3-breezy (<< 3.0.0~bzr7268)
Recommends: python3-fastimport
Suggests: python3-gpg
Description: Python Git library - Python3 module
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the module built for Python version 3.x.

## dulwich 0.20.44

=== debian/changelog ===
dulwich (0.20.44-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 30 Jun 2022 20:10:31 +0100

dulwich (0.20.43-1) unstable; urgency=low

  * New upstream release.
   + Drops unnecessary imports. Closes: #1012373

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 07 Jun 2022 00:26:44 +0100

dulwich (0.20.42-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 20:01:04 +0100

dulwich (0.20.35-1) unstable; urgency=medium

  * Re-export upstream signing key without extra signatures.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Mar 2022 13:02:44 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
                python3-certifi,
                python3-fastimport,
                python3-gpg,
-               python3-urllib3 (>= 1.24.1),
-               debhelper
+               python3-urllib3 (>= 1.24.1)
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dulwich

## dulwich 0.20.50

=== debian/changelog ===
dulwich (0.20.50-1) unstable; urgency=low

  * New upstream release.
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 19:21:45 +0000

dulwich (0.20.46-2) unstable; urgency=medium

  * Drop Build-Dependency on python3-all-dbg. Closes: #1019278

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:58:34 +0100

dulwich (0.20.46-1) unstable; urgency=medium

  * New upstream release.
   + Drop dependency on certifi - no longer used upstream.
   + Add build-dependency on python3-setuptools.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Sep 2022 18:04:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,19 @@
                dh-python,
                git [!kfreebsd-amd64 !kfreebsd-i386],
                gnupg,
-               python3-all-dbg,
                python3-all-dev,
-               python3-certifi,
                python3-fastimport,
                python3-gpg,
-               python3-urllib3 (>= 1.24.1)
-Standards-Version: 4.6.0
+               python3-urllib3 (>= 1.25),
+	       python3-setuptools
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dulwich
 Rules-Requires-Root: no
 
 Package: python3-dulwich
 Architecture: any
-Depends: python3-certifi,
-         python3-urllib3 (>= 1.24.1),
+Depends: python3-urllib3 (>= 1.25),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## dulwich 0.21.2

=== Makefile ===
PYTHON = python3
PYFLAKES = $(PYTHON) -m pyflakes
PEP8 = pep8
FLAKE8 ?= $(PYTHON) -m flake8
SETUP = $(PYTHON) setup.py
TESTRUNNER ?= unittest
RUNTEST = PYTHONHASHSEED=random PYTHONPATH=$(shell pwd)$(if $(PYTHONPATH),:$(PYTHONPATH),) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
COVERAGE = python3-coverage

DESTDIR=/

all: build

doc:: sphinx

sphinx::
	$(MAKE) -C docs html

build::
	$(SETUP) build
	$(SETUP) build_ext -i

install::
	$(SETUP) install --root="$(DESTDIR)"

check:: build
	$(RUNTEST) dulwich.tests.test_suite

check-tutorial:: build
	$(RUNTEST) dulwich.tests.tutorial_test_suite

check-nocompat:: build
	$(RUNTEST) dulwich.tests.nocompat_test_suite

check-compat:: build
	$(RUNTEST) dulwich.tests.compat_test_suite

check-pypy:: clean
	$(MAKE) check-noextensions PYTHON=pypy

check-noextensions:: clean
	$(RUNTEST) dulwich.tests.test_suite

check-contrib:: clean
	$(RUNTEST) -v dulwich.contrib.test_suite

check-all: check check-pypy check-noextensions

typing:
	mypy dulwich

clean::
	$(SETUP) clean --all
	rm -f dulwich/*.so

flakes:
	$(PYFLAKES) dulwich

pep8:
	$(PEP8) dulwich

style:
	$(FLAKE8)

before-push: check
	git diff origin/master | $(PEP8) --diff

coverage:
	$(COVERAGE) run -m unittest dulwich.tests.test_suite dulwich.contrib.test_suite

coverage-html: coverage
	$(COVERAGE) html

.PHONY: apidocs

apidocs:
	pydoctor --intersphinx http://urllib3.readthedocs.org/en/latest/objects.inv --intersphinx http://docs.python.org/3/objects.inv --docformat=google dulwich --project-url=https://www.dulwich.io/ --project-name=dulwich

=== debian/changelog ===
dulwich (0.21.2-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 18 Jan 2023 23:22:50 +0000

dulwich (0.21.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 17 Jan 2023 19:41:35 +0000

dulwich (0.21.0-1) unstable; urgency=low

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Jan 2023 19:15:41 +0000

=== debian/tests/control ===
Tests: testsuite3
Depends: python3-all, python3-dulwich, git, gnupg, python3-gpg
Restrictions: allow-stderr

## dulwich 0.21.6

=== Makefile ===
--- 
+++ 
@@ -75,3 +75,6 @@
 
 apidocs:
 	pydoctor --intersphinx http://urllib3.readthedocs.org/en/latest/objects.inv --intersphinx http://docs.python.org/3/objects.inv --docformat=google dulwich --project-url=https://www.dulwich.io/ --project-name=dulwich
+
+fix:
+	ruff check --fix .

=== requirements.txt ===
urllib3>=1.23

=== debian/changelog ===
dulwich (0.21.6-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:42:32 +0000

dulwich (0.21.6-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 01 Nov 2023 08:56:17 +0000

dulwich (0.21.6-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 02 Sep 2023 14:12:56 +0100

dulwich (0.21.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Jun 2023 18:25:12 +0100

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $* --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check PYTHON=python3
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build*
	rm -f dulwich/*.so dulwich/*.o

override_dh_installdocs:
	dh_installdocs -ppython3-dulwich docs/tutorial -X.gitignore -XMakefile

override_dh_strip:
	dh_strip -p python3-dulwich

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/dulwich/dulwich-(.*).tar.gz

## dulwich 0.22.5

=== debian/changelog ===
dulwich (0.22.5-1) unstable; urgency=medium

  * Drop signing-key; no longer supported by pypi
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 07 Nov 2024 20:02:44 +0000

## dulwich 0.22.7

=== Makefile ===
PYTHON = python3
RUFF ?= $(PYTHON) -m ruff 
SETUP = $(PYTHON) setup.py
TESTRUNNER ?= unittest
RUNTEST = PYTHONHASHSEED=random PYTHONPATH=$(shell pwd)$(if $(PYTHONPATH),:$(PYTHONPATH),) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
COVERAGE = python3-coverage

DESTDIR=/

all: build

doc:: sphinx

sphinx::
	$(MAKE) -C docs html

build::
	$(SETUP) build
	$(SETUP) build_ext -i

install::
	$(SETUP) install --root="$(DESTDIR)"

check:: build
	$(RUNTEST) tests.test_suite

check-tutorial:: build
	$(RUNTEST) tests.tutorial_test_suite

check-nocompat:: build
	$(RUNTEST) tests.nocompat_test_suite

check-compat:: build
	$(RUNTEST) tests.compat_test_suite

check-pypy:: clean
	$(MAKE) check-noextensions PYTHON=pypy

check-noextensions:: clean
	$(RUNTEST) tests.test_suite

check-contrib:: clean
	$(RUNTEST) -v dulwich.contrib.test_suite

check-all: check check-pypy check-noextensions

typing:
	$(PYTHON) -m mypy dulwich

clean::
	$(SETUP) clean --all
	rm -f dulwich/*.so

style:
	$(RUFF) check .

coverage:
	$(COVERAGE) run -m unittest tests.test_suite dulwich.contrib.test_suite

coverage-html: coverage
	$(COVERAGE) html

.PHONY: apidocs

apidocs:
	pydoctor --intersphinx http://urllib3.readthedocs.org/en/latest/objects.inv --intersphinx http://docs.python.org/3/objects.inv --docformat=google dulwich --project-url=https://www.dulwich.io/ --project-name=dulwich

fix:
	ruff check --fix .

reformat:
	ruff format .

.PHONY: codespell

codespell:
	codespell --config .codespellrc .

=== debian/changelog ===
dulwich (0.22.7-2) unstable; urgency=medium

  * Add patch to fix protocol v2 deepen command flush packet handling.
    Prevents server implementations from stopping reading and missing
    the 'done' command, which fixes flaky autopkgtest failures.
    (Closes: #1104209)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 09 Jan 2025 00:00:00 +0000

dulwich (0.22.7-1) unstable; urgency=low

  * New upstream release.
    + Fixes compatibility with newer versions of Python. Closes: #1089759

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 17:48:40 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,15 @@
                dh-python,
                git [!kfreebsd-amd64 !kfreebsd-i386],
                gnupg,
+               librust-pyo3-dev,
                python3-all-dev,
                python3-fastimport,
                python3-gpg,
                python3-urllib3 (>= 1.25),
-	       python3-setuptools
-Standards-Version: 4.6.1
+               python3-setuptools,
+               python3-setuptools-rust,
+               rustc
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dulwich
 Rules-Requires-Root: no

## dulwich 0.24.2

=== debian/changelog ===
dulwich (0.24.2-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:42:14 +0100

dulwich (0.24.2-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Update debian-branch to debian/main.
  * d/gbp.conf: Remove upstream-vcs-tag
  * New upstream version.
  * d/patches/03_fix_protocol_v2_deepen_flush.patch: Remove patch.
    It was already in new upstream release.
  * d/patches/older-pyo3: No need to relax rust-pyo3 vesion for now.
  * d/control: Add python3-merge3 as Build Dependency. It is needed
    in tests.
  * d/patches/02_skip_flappy_test: Update patch to skip
    test_add_symlink_absolute_to_system. It's failling.
  * d/tests/control. Add python3-merge3 to autopkgtest as Depends.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 02 Oct 2025 00:25:02 -0300

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-all-dev,
                python3-fastimport,
                python3-gpg,
+               python3-merge3 <!nocheck>,
                python3-urllib3 (>= 1.25),
                python3-setuptools,
                python3-setuptools-rust,

## dulwich 0.24.10

=== debian/changelog ===
dulwich (0.24.10-1) unstable; urgency=medium

  * Add a norust profile to allow building without optional rust
    extensions.
  * debian/gbp.conf: Set upstream-vcs-tag
  * New upstream release.
   + Drop obsolete patch relax-pyo3.patch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 11 Nov 2025 02:22:30 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                git [!kfreebsd-amd64 !kfreebsd-i386],
                gnupg,
-               librust-pyo3-dev,
+               librust-pyo3-dev <!norust>,
                python3-all-dev,
                python3-fastimport,
                python3-gpg,
@@ -16,7 +16,7 @@
                python3-urllib3 (>= 1.25),
                python3-setuptools,
                python3-setuptools-rust,
-               rustc
+               rustc <!norust>
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dulwich

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
 
+export CARGO_HOME=$(shell pwd)/debian/cargo_home
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+ifneq (,$(findstring norust,$(DEB_BUILD_PROFILES)))
+export PURE = 1
+endif
 
 %:
 	dh $* --with python3 --buildsystem=pybuild
@@ -12,9 +17,14 @@
 endif
 
 override_dh_auto_clean:
+	if test -f Cargo.lock.saved; then mv Cargo.lock.saved Cargo.lock; fi
 	dh_auto_clean
 	rm -rf build*
 	rm -f dulwich/*.so dulwich/*.o
+
+override_dh_auto_build:
+	mv Cargo.lock Cargo.lock.saved
+	dh_auto_build
 
 override_dh_installdocs:
 	dh_installdocs -ppython3-dulwich docs/tutorial -X.gitignore -XMakefile

=== debian/tests/control ===
Tests: testsuite3
Depends: python3-all, python3-dulwich, git, gnupg, python3-gpg, python3-merge3
Restrictions: allow-stderr

## dulwich 1.0.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 PYTHON = python3
-RUFF ?= $(PYTHON) -m ruff 
+RUFF ?= $(PYTHON) -m ruff
 SETUP = $(PYTHON) setup.py
 TESTRUNNER ?= unittest
 RUNTEST = PYTHONHASHSEED=random PYTHONPATH=$(shell pwd)$(if $(PYTHONPATH),:$(PYTHONPATH),) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
 COVERAGE = python3-coverage
+PYDOCTOR_ARGS ?=
 
 DESTDIR=/
 
@@ -42,8 +43,6 @@
 check-contrib:: clean
 	$(RUNTEST) -v dulwich.contrib.test_suite
 
-check-all: check check-pypy check-noextensions
-
 typing:
 	$(PYTHON) -m mypy dulwich
 
@@ -63,7 +62,7 @@
 .PHONY: apidocs
 
 apidocs:
-	pydoctor --intersphinx http://urllib3.readthedocs.org/en/latest/objects.inv --intersphinx http://docs.python.org/3/objects.inv --docformat=google dulwich --project-url=https://www.dulwich.io/ --project-name=dulwich
+	$(PYTHON) -m pydoctor $(PYDOCTOR_ARGS) --intersphinx https://www.dulwich.io/api/objects.inv --intersphinx http://docs.python.org/3/objects.inv --docformat=google dulwich --project-url=https://www.dulwich.io/ --project-name=dulwich
 
 fix:
 	ruff check --fix .

=== requirements.txt ===
urllib3>=2.2.2

=== debian/changelog ===
dulwich (1.0.0-2) unstable; urgency=medium

  * Add Build-Depends and Recommends on python3-sshsig and openssh-client.
  * Add patch 03_fix_gpg_signature_verification_test: fix FTBFS.
    Closes: #1126635
  * Run ``update-rust-deps`` to update dependencies on rust crates.
    Closes: #1126635

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 01 Feb 2026 16:25:14 +0000

dulwich (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Jan 2026 21:10:47 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,27 @@
 Homepage: https://www.dulwich.io/
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               git [!kfreebsd-amd64 !kfreebsd-i386],
+               git,
                gnupg,
                librust-pyo3-dev <!norust>,
+               openssh-client <!nocheck>,
                python3-all-dev,
                python3-fastimport,
                python3-gpg,
                python3-merge3 <!nocheck>,
+               python3-sshsig <!nocheck>,
                python3-urllib3 (>= 1.25),
                python3-setuptools,
                python3-setuptools-rust,
-               rustc <!norust>
+               rustc <!norust>,
+               cargo:native,
+               librust-memchr-2+default-dev,
+               librust-pyo3+default-dev (<< 0.28-~~),
+               librust-pyo3+default-dev (>= 0.25-~~),
+               librust-pyo3+extension-module-dev (<< 0.28-~~),
+               librust-pyo3+extension-module-dev (>= 0.25-~~),
+               librust-similar-2+default-dev,
+               libstd-rust-dev
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dulwich
@@ -29,7 +39,7 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Breaks: python3-breezy (<< 3.0.0~bzr7268)
-Recommends: python3-fastimport
+Recommends: python3-fastimport, python3-sshsig
 Suggests: python3-gpg
 Description: Python Git library - Python3 module
  Dulwich is a Python implementation of the file formats and protocols

=== debian/tests/control ===
Tests: testsuite3
Depends: python3-all, python3-dulwich, git, gnupg, python3-gpg, python3-merge3, python3-sshsig, openssh-client
Restrictions: allow-stderr
